import React from 'react'
import { reduxForm } from 'redux-form'
import { RadioGroup, ValidatedField, Button } from '@pubsweet/ui'

import { utils } from './'
import { FormItems } from '../UIComponents'

const { RootContainer, Row, RowItem, Title } = FormItems

const StepOne = ({ hideModal, disabled, onSubmit }) => (
  <RootContainer>
    <Title>Recommendation for Next Phase</Title>
    <Row>
      <RowItem>
        <ValidatedField
          component={input => (
            <RadioGroup
              name="decision"
              options={utils.recommendationOptions}
              {...input}
            />
          )}
          name="decision"
        />
      </RowItem>
    </Row>
    <Row>
      <RowItem centered>
        <Button onClick={hideModal}>Cancel</Button>
      </RowItem>
      <RowItem centered>
        <Button disabled={disabled} onClick={onSubmit} primary>
          Next
        </Button>
      </RowItem>
    </Row>
  </RootContainer>
)

export default reduxForm({
  form: 'recommendation',
  destroyOnUnmount: false,
  enableReinitialize: false,
  forceUnregisterOnUnmount: true,
})(StepOne)
